Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class CDROM

    java.lang.Object
      dioscuri.module.ata.CDROM

    public class CDROM

extends java.lang.Object

Class that stores CDROM attributes.

Constructor Summary
`CDROM()`

Method Summary
`int` | `getCapacity()`
`int[]` | `getErrorRecovery()`
`int` | `getNextLba()`
`int` | `getRemainingBlocks()`
`boolean` | `isLocked()`
`boolean` | `isReady()`
`void` | `setCapacity(int capacity)`
`void` | `setErrorRecovery(int[] errorRecovery)`
`void` | `setLocked(boolean isLocked)`
`void` | `setNextLba(int nextLba)`
`void` | `setReady(boolean isReady)`
`void` | `setRemainingBlocks(int remainingBlocks)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDROM

    public CDROM()

Method Detail

### isReady

    public boolean isReady()

  Returns:
    -

### setReady

    public void setReady(boolean isReady)

  Parameters:
    `isReady` -

### isLocked

    public boolean isLocked()

  Returns:
    -

### setLocked

    public void setLocked(boolean isLocked)

  Parameters:
    `isLocked` -

### getCapacity

    public int getCapacity()

  Returns:
    -

### setCapacity

    public void setCapacity(int capacity)

  Parameters:
    `capacity` -

### getNextLba

    public int getNextLba()

  Returns:
    -

### setNextLba

    public void setNextLba(int nextLba)

  Parameters:
    `nextLba` -

### getRemainingBlocks

    public int getRemainingBlocks()

  Returns:
    -

### setRemainingBlocks

    public void setRemainingBlocks(int remainingBlocks)

  Parameters:
    `remainingBlocks` -

### getErrorRecovery

    public int[] getErrorRecovery()

  Returns:
    -

### setErrorRecovery

    public void setErrorRecovery(int[] errorRecovery)

  Parameters:
    `errorRecovery` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD